# -*- coding: utf -*-

#import Personne
import ModulePersonne as MP

#import module xml
import xml.etree.ElementTree as ET

#saisie personne
p = MP.Personne()
p.saisie()

#écriture racine
root = ET.Element("Personne")

#écriture des élements
item_nom = ET.SubElement(root,"Nom")
item_nom.text = p.nom

item_age = ET.SubElement(root,"Age")
item_age.text = str(p.age)

item_sal = ET.SubElement(root,"Salaire")
item_sal.text = str(p.salaire)

#sauvegarde fichier
tree = ET.ElementTree(root)
tree.write("personne.xml")
