# -*- coding: utf -*-

#** sauver une liste d'objets

#import Personne
import ModulePersonne as MP

#import module xml
import xml.etree.ElementTree as ET

#liste vide
liste = []

#nb. de pers ?
n = int(input("Nb de pers : "))

#saisie liste
for i in range(0,n):
    a = MP.Personne()
    a.saisie()
    liste.append(a)

#racine
root = ET.Element("Individus")

#pour chaque personne
for p in liste:
    #personne xml
    px = ET.SubElement(root,"Personne")
    #champs
    item_nom = ET.SubElement(px,"Nom")
    item_nom.text = p.nom
    item_age = ET.SubElement(px,"Age")
    item_age.text = str(p.age)
    item_sal = ET.SubElement(px,"Salaire")
    item_sal.text = str(p.salaire)

#sauvegarde
tree = ET.ElementTree(root)
tree.write("personnes.xml")
    
