# -*- coding: utf -*-

#** charger une collection d'enregistrements

#import Personne
import ModulePersonne as MP

#import module xml
import xml.etree.ElementTree as ET

#ouverture
tree = ET.parse("personnes.xml")

#récupérer la racine
root = tree.getroot()

#conv. en liste de personnes
liste = []
for child in root:
    #créer une personne
    p = MP.Personne()
    p.nom = child.findtext("Nom")
    p.age = int(child.findtext("Age"))
    p.salaire= float(child.findtext("Salaire"))
    #affichage
    p.affichage()
    #l'ajouter dans la liste
    liste.append(p)

print("Nb personnes : ",len(liste))
